NIM на AIX 6.1


Главная Форумы POWER Systems AIX/Hardware NIM на AIX 6.1

В этой теме 4 ответа, 3 участника, последнее обновление  Oleg 8 года/лет, 2 мес. назад.

  • Автор
    Сообщения
  • #5419

    Oleg
    Участник

    кто нибудь настраивал NIM на AIX 6.1?
    у меня, при попытке настроить NIM-сервер лезут следующие ошибки 🙁
    >>>> Инициализация сервера NIM.
    exec(): 0509-036 Невозможно загрузить программу /usr/sbin/nimconfig из-за следующих ошибок:
    0509-130 Преобразование символа для nimconfig не выполнено по следующей причине:
    0509-136 Символ get_ipv6_route (номер 74) не экспортирован
    из зависимого модуля /usr/lib/libnim.a(shr.o).
    0509-136 Символ addr_to_str (номер 76) не экспортирован
    из зависимого модуля /usr/lib/libnim.a(shr.o).
    0509-136 Символ get_adpt_addr (номер 77) не экспортирован
    из зависимого модуля /usr/lib/libnim.a(shr.o).
    0509-192 Проверьте имена раздела .loader
    с помощью команды ‘dump -Tv’.
    0042-249 wsmnim_config: Ошибка при инициализации главного NIM.
    0042-250 wsmnim_config: Невозможно продолжить задание конфигурации.

    я не использую ipv6 и он мне совершенно не нужен,
    если возможно настроить NIM на AIX 6.1 без настройки ipv6, то как?
    или здесь NIM не работает без ipv6?

    P.S. кстати, в рекоменуемом ‘dump -Tv’ некорректно заданы аргументы…

  • #5420

    _KIRill
    Хранитель

    на AIX фиксы ставили?
    #oslevel -s
    ?

    ---As If, But Not---

  • #5421

    Oleg
    Участник

    6100-02-02-0849

    причем пробовал обновить до 6100-03-02-0939 — не обновляется

    Pre-installation Verification…
    +——————————————————————————+
    Verifying selections…done
    Verifying requisites…0503-240 installp: Error. bos.esagent 6.6.3.1 is a prere
    quisite of itself.
    +——————————————————————————+
    BUILDDATE Verification …
    +——————————————————————————+
    Verifying build dates…
    0503-465 installp: The build date requisite check failed for fileset bos.rte
    .install.
    Installed fileset build date of 0939 is more recent than the selected fileset bu
    ild date of 0921.
    installp: Installation failed due to BUILDDATE requisite failure.

  • #5426

    Alexander Teterkin
    Участник

    Раз не может что то найти в библиотеке, значит библиотека старая.
    Эта библиотека лежит в bos.sysmgt.nim.client
    Возможно поможет сравнение:
    [code]# lslpp -L bos.sysmgt.nim.client[/code]
    [code]# lslpp -L bos.sysmgt.nim.master[/code]
    Как я понял, система еще не в производстве и можно попробовать все удалить и поставить заново.

  • #5434

    Oleg
    Участник

    MrLis писал(а):

    Раз не может что то найти в библиотеке, значит библиотека старая.
    Эта библиотека лежит в bos.sysmgt.nim.client

    ага, nim.client и nim.server были старых версий (при чем почему-то разных, хоть и ставились из одного файла) — почему я и пробовал обновлять AIX
    закачал апдейты под AIX по-новой — обновился уже без ошибок (какой-то битый файл видно раньше все портил)
    после чего NIM наконец-то инициализировался 🙂

Для ответа в этой теме необходимо авторизоваться.